<?php

/*

Plugin Name: ViuBox SYZ

Plugin URI: https://viubox.com/products/remote-body-measurements-app/

Description: Personalized Fitting Comments and Virtual trial room

Version: 1.10

Author: SenseMi ViuBox

Author URI: http://www.viubox.com

License: GPLv2

*/

//================== Table creation while plugin is activated =======================//

// Admin page settings
if ( is_admin() ){

add_action('admin_menu', 'manage_ViuBoxSYZ_data');

function manage_ViuBoxSYZ_data() 

	{

		global $_registered_pages;

		$page_title="ViuBox SYZ";

		$menu_title="ViuBox SYZ";

		$parent_slug=$menu_slug="viubox-syz";

		$capability="manage_options";

		add_menu_page( $page_title, $menu_title, $capability, $menu_slug, 'manage_viubox_scriptpage', '');

	}

}	

// Scripts required to run the plugin
// embed.js is our custom implementation which is required to run the plugin. Please allow us to deliver it through our server
// as we update this file with new features very frequently. Since it is updated from the backend, users do not have to manually
// update the plugin making it a better user experience
function enqueue_scripts_for_viubox() {
    
    wp_enqueue_script( 'jquery');
    wp_enqueue_script( 'axios_for_viubox', plugin_dir_url(__FILE__).'/js/axios.min.js', array(), false);
    wp_enqueue_style('viubox_styles', plugin_dir_url(__FILE__).'/css/viubox_styles.css', array(), false);
    wp_enqueue_style('sfprodisplay_viubox', plugin_dir_url(__FILE__).'/css/sfprodisplay.css', array(), false);
    wp_enqueue_script('viubox_embed', 'https://widget.viubox.com/js/embed.js', array(), false);
}

add_action( 'woocommerce_single_product_summary', 'enqueue_scripts_for_viubox' );

// Adding a custom button to the products page and attaching the product SKU to the button
add_action( 'woocommerce_single_product_summary', 'add_viubox_button_after_addtocart' );

function add_viubox_button_after_addtocart() {

        $id = get_the_ID();
        $product = wc_get_product($id);
       
        if ( $product->is_type( 'variable' ) ) {
            
            $variations = $product->get_children();
            $product = wc_get_product($variations[0]);
            
        }
        $sku = $product->get_sku();
        echo 
            '<p class="measurments_btn" href="javascript:void(0)" data-syzsku="'.esc_attr($sku).'">
                <img id="hanger" src='.esc_url("https://widget.viubox.com/img/hanger_black.png").' width=35px height=25px style="align-self: center;">
                <span style="align-self: center; margin-left: 10px;">
                    What\'s my size?
                </span>
            </p>';
}

// Removing any unused code after additions
add_action( 'woocommerce_before_single_product', 'remove_viubox_after_price_button_func' );
function remove_viubox_after_price_button_func(){
  remove_action( 'woocommerce_get_price_suffix', 'add_viubox_button_after_addtocart' );
}

// Frontend display for the admin page
function manage_viubox_scriptpage()

{
 ?>
 
<div class="wrap">
    <h2>ViuBox SYZ For Woo Commerce</h2>
    <div id="dashboard-widgets-wrap">
        <div id="dashboard-widgets" class="metabox-holder">
            <div id="postbox-container-1" class="postbox-container">
                <div id="normal-sortables" class="meta-box-sortables ui-sortable">
                    <div id="dashboard_right_now" class="postbox ">
                        <h3 class="hndle ui-sortable-handle">
                        <span>Plugin Settings</span>
                        </h3>
                        <div class="inside">
	                        <div class="main">
                                Customisation settings coming soon!
	                        </div>
	                    </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php }	?>